Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name:      	elinks
Summary:   	A text-mode Web browser
Version:   	0.11.4
Release:   	1
License:   	GPL
URL:       	http://elinks.or.cz
Group:     	Internet/Browser
Source:    	http://elinks.or.cz/download/elinks-%{version}.tar.bz2
Buildroot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: 	autoconf
BuildRequires: 	automake
BuildRequires: 	pkgconfig
BuildRequires: 	openssl-devel
BuildRequires: 	krb5-devel
BuildRequires: 	bzip2-devel
BuildRequires: 	expat-devel
BuildRequires: 	libidn-devel

Provides:  	links

Patch0: 	elinks-0.11.0-ssl-noegd.patch
Patch1: 	elinks-0.10.1-utf_8_io-default.patch
Patch2: 	elinks-0.10.1-pkgconfig.patch
Patch3: 	elinks-0.11.0-getaddrinfo.patch
Patch4: 	elinks-0.11.0-sysname.patch
Patch5: 	elinks-0.10.1-xterm.patch
Patch6: 	elinks-0.11.0-union.patch
Patch7: 	elinks-0.11.1-negotiate.patch
Patch8: 	elinks-0.11.1-badproxy.patch

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
Links is a text-based Web browser. Links does not display any images,
but it does support frames, tables and most other HTML tags. Links'
advantage over graphical browsers is its speed--Links starts and exits
quickly and swiftly displays Web pages.

%prep
%setup -q -n %{name}-%{version}

# Prevent crash when HOME is unset (bug #90663).
%patch0 -p1
# UTF-8 by default
%patch1 -p1
%patch2 -p1
# Make getaddrinfo call use AI_ADDRCONFIG.
%patch3 -p1
# Don't put so much information in the user-agent header string (bug #97273).
%patch4 -p1
# Fix xterm terminal: "Linux" driver seems better than "VT100" (#128105)
%patch5 -p1
# Fix #157300 - Strange behavior on ppc64
%patch6 -p1
# Fix #194096 – elinks should support negotiate-auth
#%patch7 -p1
# Fix #210103 - elinks crashes when given bad HTTP_PROXY
#%patch8 -p1

%build
./autogen.sh

export CFLAGS="$RPM_OPT_FLAGS $(getconf LFS_CFLAGS)"
%configure %{?rescue:--without-gpm} --without-x --with-gssapi
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
ln -s elinks $RPM_BUILD_ROOT%{_bindir}/links
ln -s elinks.1 $RPM_BUILD_ROOT%{_mandir}/man1/links.1
rm -f $RPM_BUILD_ROOT%{_datadir}/locale/locale.alias
%find_lang elinks

%clean
rm -rf $RPM_BUILD_ROOT

%files -f elinks.lang
%defattr(-,root,root)
%doc README SITES TODO
%{_bindir}/links
%{_bindir}/elinks
%{_mandir}/man1/links.1*
%{_mandir}/man1/elinks.1*
%{_mandir}/man5/*

%changelog
* Sun Jul 27 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.11.4-1
- version update
* Sat Mar 22 2008 Christian Wasem <wasem@ccux-linux.de> 0.11.2-2
- rebuild, changed group to Internet/Browser
* Wed Apr 04 2007 Christian Metzen <metzench@ccux-linux.de> 0.11.2-1
- Initial release
